package com.ruoyi.dxp.service;

import java.util.List;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.dxp.domain.Application;
import com.ruoyi.dxp.dto.AuditDto;

/**
 * 应用Service接口
 *
 * @author jy
 * @date 2022-12-06
 */
public interface IApplicationService {
    /**
     * 查询应用
     *
     * @param id 应用主键
     * @return 应用
     */
    public Application selectApplicationById(Long id);

    /**
     * 查询应用列表
     *
     * @param application 应用
     * @return 应用集合
     */
    public List<Application> selectApplicationList(Application application);

    /**
     * 新增应用
     *
     * @param application 应用
     * @return 结果
     */
    public AjaxResult insertApplication(Application application);

    /**
     * 修改应用
     *
     * @param application 应用
     * @return 结果
     */
    public AjaxResult updateApplication(Application application);

    /**
     * 批量删除应用
     *
     * @param ids 需要删除的应用主键集合
     * @return 结果
     */
    public int deleteApplicationByIds(Long[] ids);

    /**
     * 删除应用信息
     *
     * @param id 应用主键
     * @return 结果
     */
    public AjaxResult deleteApplicationById(Long id);

    /**
     * 审核应用
     *
     * @param auditDto 审核对象
     * @return 结果
     */
    public AjaxResult audit(AuditDto auditDto);
}
